XtGetGC(3)

NAME
XtGetGC, XtReleaseGC - obtain and destroy a sharable GC

SYNTAX

GC XtGetGC(Widget w, XtGCMask value_mask, XGCValues *values);

void XtReleaseGC(Widget w, GC gc);

ARGUMENTS

gc  Specifies the GC to be deallocated.

values
    Specifies the actual values for this GC.

value_mask
    Specifies which fields of the values are specified.

w   Specifies the widget.

DESCRIPTION
The function returns a sharable, read-only GC. The parameters to this function are the same as those for except that a widget is passed instead of a display. shares only GCs in which all values in the GC returned by are the same. In particular, it does not use the value_mask provided to determine which fields of the GC a widget considers relevant. The value_mask is used only to tell the server which fields should be filled in with widget data and which it should fill in with default values. For further information about value_mask and values, see in the Xlib - C Language X Interface.

The function deallocate the specified shared GC.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface